org.apache.fop.afp.fonts

## Class AFPFontAttributes

- java.lang.Object
- - org.apache.fop.afp.fonts.AFPFontAttributes

-     public class AFPFontAttributes
      extends java.lang.Object

  This class encapsulates the font attributes that need to be included in the AFP data stream. This class does not assist in converting the font attributes to AFP code pages and character set values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPFontAttributes(java.lang.String fontKey, AFPFont font, int pointSize)` Constructor for the AFPFontAttributes

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AFPFont` | `getFont()` Return the font
    `java.lang.String` | `getFontKey()` Return the FontKey attribute
    `int` | `getFontReference()` Return the FontReference attribute
    `int` | `getPointSize()` Return the point size attribute
    `void` | `setFontReference(int fontReference)` Sets the FontReference attribute
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPFontAttributes

          public AFPFontAttributes(java.lang.String fontKey,
                                   AFPFont font,
                                   int pointSize)

      Constructor for the AFPFontAttributes
      Parameters:
        `fontKey` - the font key
        `font` - the font
        `pointSize` - the point size

  - ### Method Detail

    - #### getFont

          public AFPFont getFont()

      Return the font
      Returns:
        the font

    - #### getFontKey

          public java.lang.String getFontKey()

      Return the FontKey attribute
      Returns:
        the FontKey attribute

    - #### getPointSize

          public int getPointSize()

      Return the point size attribute
      Returns:
        the point size attribute

    - #### getFontReference

          public int getFontReference()

      Return the FontReference attribute
      Returns:
        the FontReference attribute

    - #### setFontReference

          public void setFontReference(int fontReference)

      Sets the FontReference attribute
      Parameters:
        `fontReference` - the FontReference to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.